﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Fluke 183,185 Send Command RS-232
DATE:                  2015-04-08 15:05:27
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10993 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       83
=============================================================================
#
#  Procedure Author(s):
#        GMO, DFM, DAC, PS
#
#  Source(s):
#        Fluke 183/185 Calibration Manual, Part No. 1610436, May 2001, *
# 		 Rev. 1, 6/02, Manual Supplement 1, Issue Date 3/04
#
#        * The tolerances used by this procedure were taken from the published
#          specifications table.
#
#  Compatibility:
#        MET/CAL version 8.1.4 or later
#
#  Additional Equipment and/or Accessories Required:
#         None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DO
  1.002  PORT         [T10000][V @Cmd][I$]
  1.003  MATH         AckResp = SUB(MEM2, 2, 1); @Abort = (AckResp != 0)

  1.004  IF           AckResp

  1.005  IF           AckResp == 1
  1.006  MATH         ErrMsg = "Framing Error"
  1.007  ELSEIF       AckResp == 2
  1.008  MATH         ErrMsg = "Parity Error"
  1.009  ELSEIF       AckResp == 3
  1.010  MATH         ErrMsg = "Overrun Error"
  1.011  ELSEIF       AckResp == 4
  1.012  MATH         ErrMsg = "Time out Error"
  1.013  ELSEIF       AckResp == 5
  1.014  MATH         ErrMsg = "Parameter Out of Range"
  1.015  ELSEIF       AckResp == 6
  1.016  MATH         ErrMsg = "Unknown Command"
  1.017  ELSEIF       AckResp == 7
  1.018  MATH         ErrMsg = "Input Buffer Overflow"
  1.019  ELSEIF       AckResp == 8
  1.020  MATH         ErrMsg = "Command Locked Out"
  1.021  ELSEIF       AckResp == 9
  1.022  MATH         ErrMsg = "Command Format Error"
  1.023  ELSE
  1.024  MATH         ErrMsg = "Unknown Error! Acknowledge Response is "
  1.025  MATH         ErrMsg = ErrMsg & AckResp & "."
  1.026  ENDIF

  1.027  OPBR         [V ErrMsg]
  1.027  OPBR
  1.027  OPBR         -z Do you wish to resend the command?
  1.028  MATH         Continue = NOT(MEM1)

  1.029  ELSE
  1.030  MATH         Continue = 1
  1.031  ENDIF

  1.032  UNTIL        Continue

  1.033  END
